rdimport(1)

NAME
rdimport - Audio importation tool for the Rivendell Radio Automation System

SYNOPSIS
rdimport [OPTIONS] <group-name> <filespec> [<filespec>]*

DESCRIPTION
Rdimport is a command-line tool for importing one or more audio files into the Rivendell Radio Automation System. By default, a new cart will be created for each file imported, although this behavior can be modified by use of the appropriate options (see the --single-cart and --to-cart options, below). A <filespec> of '-' will cause the list of filespecs to be read from standard input.

OPTIONS

--add-scheduler-code=<str>
    Add Scheduler Code <str> to the target cart. The specified code must exist in RDAdmin->SchedulerCodes. This option may be specified multiple times.

--autotrim-level=<level>
    Specify the threshold level to use for autotrimming the audio, in dBFS. Specifying '0' will turn off autotrimming.

--cart-number-offset=<offset>
    Add <offset> to the cart number as determined from metadata pattern or --use-cartchunk-cutid.

--clear-datetimes
    Do not set the cut start and end datetimes, even if such are found in the file's import metadata. Mutually exclusive with the --set-datetimes option.

--clear-daypart-times
    Do not set the cut start and end daypart times, even if such are found in the file's import metadata. Mutually exclusive with the --set-daypart-times option.

--create-enddate-offset=<days>
    If the imported file does not reference an end date, create with end date offset by <days> days relative to the current date. Cannot be less than the value the value for --create-startdate-offset (default = 0).

--create-startdate-offset=<days>
    If the imported file does not reference a start date, create with startdate offset by <days> days relative to the current date. Cannot be greater than the value for --create-enddate-offset (default = 0).

--delete-cuts
    Delete all cuts within the destination cart before importing. Use with caution!

--delete-source
    Delete each source file after successful import. Use with caution!

--drop-box
    Operate in DropBox mode, causing rdimport(1) to run continuously, periodically scanning for files matching the specified <filespec>, importing and then deleting them when found. WARNING: use of this option also implies the --delete-source option!

--enddate-offset=<days>
    If the imported file references an end date, offset the value by <days> days.

--fix-broken-formats
    Attempt to work around malformed audio input data.

--help
    Print a short usage message and exit.

--log-mode
    Prepend date/time information to each line of printed status (implies the '--verbose' option).

--metadata-pattern=<pattern>
    Attempt to read metadata parameters from the source filename, using the pattern <pattern>. Patterns consist of a sequence of wildcards and regular characters to indicate boundaries between metadata fields. The available wildcards are:

    %a  Artist

    %b  Record Label

    %c  Client

    %e  Agency

    %g  Rivendell Group (overrides the <group-name> parameter)

    %i  Cut Description

    %l  Album

    %m  Composer

    %n  Rivendell Cart Number

    %o  Cut Outcue

    %p  Publisher

    %r  Conductor

    %s  Song ID

    %t  Title

    %u  User Defined

    %y  Release Year (four digit numeric)

    %%  A literal '%'
Detection of either the Rivendell Group [%g] or Rivendell Cart [%n] will cause RDImport to attempt to import the file to the specified Group and/or Cart, overriding whatever values were specified elsewhere on the command line. If the --set-user-defined option has been used, then the value specified there will be used instead of %u. Boundaries between metadata fields are indicated by placing regular characters between macros. For example, the pattern '%t_%a_%g_%n.', when processing a filename of 'My Song_My Artist_TEMP_123456.mp3', would extract 'My Song' as the title and 'My Artist' as the artist, while importing it into cart 123456 in the TEMP group.

--normalization-level=<level>
    Specify the level to use for peak normalizing the audio, in dBFS. Specifying '0' will turn off normalization.

--segue-length=<length>
    Length of the added segue in msecs. See --segue-level below.

--segue-level=<level>
    Specify the threshold level to use for setting the segue markers, in dBFS, as measured after any specified normalization has been applied. Default action is not to create segue markers.

--set-datetimes=<start-datetime>,<end-datetime>
    Set the cut start and end datetimes, in the format YYYYMMDD-HHMMSS. Mutually exclusive with --clear-datetimes.

--set-daypart-times=<start-time>,<end-time>
    Set the cut start and end daypart times, in the format HHMMSS. Mutually exclusive with --clear-daypart-times.

--set-marker-end-<marker>=<offset>
    Set an end marker to a given offset value. The <offset> parameter is specified in milliseconds. If positive, it is taken to indicate a marker position relative to the absolute beginning of the audio cut, while if negative, it is taken to indicate a marker position relative to the absolute end of the audio cut. The following <marker> types are recognized:

    cut The Cut markers.

    hook
        The Hook markers.

    segue
        The Segue markers

    talk
        The Talk markers.

--set-marker-fadedown=<offset>
    Set the FadeDown marker to a given offset value. See the discussion of the --set-marker-end-<marker> option above for a description of the <offset> parameter.

--set-marker-fadeup=<offset>
    Set the FadeUp marker to a given offset value. See the discussion of the --set-marker-end-<marker> option above for a description of the <offset> parameter.

--set-marker-start-<marker>=<offset>
    Set a start marker to a given offset value. See the discussion of the --set-marker-end-<marker> option above for a description of the <marker> and <offset> parameters.

--set-string-<field>=<string>
    Set the cart label field <field> to <string>. This will override any other values --e.g. from --metadata-pattern. Values recognized for <field> are:

    agency
        Agency Name

    album
        Album Name

    artist
        Artist Name

    bpm Beats per Minute (integer numeric)

    client
        Client Name

    composer
        Music Composer Name

    conductor
        Conductor Name

    description
        Cut Description

    label
        Record Label Name (rights holder)

    outcue
        Cut Outcue

    publisher
        Music Publisher (rights holder)

    song-id
        Song ID

    title
        Title

    user-defined
        Miscelaneous Information

    year
        Year Released (four digit numeric)

--set-user-defined=<str>
    Deprecated. Use the --set-string-user-defined option instead.

--single-cart
    If more than one file is imported, place them within multiple cuts within a single cart, rather than creating separate carts for each file.

--startdate-offset=<days>
    If the imported file references a start date, offset the value by <days> days.

--title-from-cartchunk-cutid
    Set the cart title from CartChunk CutID.

--to-cart=<cartnum>
    Specify the cart to import the audio into, rather than using the next available cart number for the group. If the cart does not exist, it will be created. Each file will be imported into a separate new cut within the cart. Use of this option implies the --single-cart option as well, and is mutually exclusive with the --use-cartchunk-cutid option.

--use-cartchunk-cutid
    Import the audio into the cart specified by the CartChunk CutID parameter associated with the file. If the cart does not exist, it will be created. Use of this option is mutually exclusive with the --to-cart option.

--verbose
    Print progress messages during processing.

--version
    Output version information and exit.

NOTES
It may be necessary to enclose individual <filespec> clauses in quotes in order to protect wildcard characters from expansion by the shell. A typical indicator that this is necessary is the failure of rdimport(1) to process newly added files when running in DropBox mode.

BUGS
It could be argued that RMS rather than peak normalization would be more appropriate for use with the --normalization-level option.

AUTHOR
Fred Gleason <fredg@paravelsystems.com>

SEE ALSO
rdmarkerset(8), http://www.cartchunk.org/